Bug 83901 - ROW() value is not updated if row is inserted after
Summary: ROW() value is not updated if row is inserted after
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: All All
: high normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.4.0 target:4.3.4 target:6.2.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-09-15 17:33 UTC by Oliver
Modified: 2018-11-19 10:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver 2014-09-15 17:33:39 UTC
This bug is not a duplicate of 77151 although it may be related in some way.

To reproduce:
- Open a new spreadsheet
- A2 = ROW(A3)
- Insert a row between rows 2 and 3 by right-clicking on row 3 and choosing "insert rows above".
- Result: cell A2 still shows "3" as its value, although it should show "4". 

Note however that the formula inside A2 is correct (it has become "=ROW(A4)").
Also, if you insert a row above row 2, the visual value is the right one.
The issue appears only when inserting a row BELOW the cell containing the formula.

The issue doesn't appear at all when =COLUMN() is used.

Reproduced at least on: 4.2.5, 4.2.6, 4.3.0, 4.3.1
Not present in 4.1.x (works as expected)
Comment 1 ign_christian 2014-09-16 04:20:45 UTC
Hi Oliver..thanks for catching the issue.

Reproduced under Ubuntu 12.04 x86 with:
- LO 4.3.2.1
- LO 4.2.7.0.0+ Time: 2014-09-11_14:25:14
- LO 4.2.0.0.beta1

Not reproduced with LO 4.1.6.2

However hard-recalc (ctrl+shift+f9) resolves the issue.
Comment 2 raal 2014-10-06 18:15:08 UTC
ba096f438393091574da98fe7b8e6b05182a8971 is the first bad commit
commit ba096f438393091574da98fe7b8e6b05182a8971
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 20:00:21 2013 +0000

    source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
    
    commit 8499e78ca03c792f4fa2650e02b519094ba0baa8
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Thu Jul 25 16:01:13 2013 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Thu Jul 25 16:08:01 2013 +0100
    
        Related: fdo#61544 convert language page from box to grid
    
        grid compress better than boxes if there isn't enough available space
    
        Change-Id: I35b433b89a29159a33fc9edb646e46b371747a57

:100644 100644 28f5d06d73a1be6ffa14981fa5c85369334b42f3 69df816431adccb1d94d7239031fa72b51b69fd9 M	ccache.log
:100644 100644 e90dd416081e52bf1f529e5cc252b740762fb67f fb3eed5f2df90e38291b7693863d22a51ae5f909 M	commitmsg
:100644 100644 f3412ea896c81e0e5e7c7c5b20da51801f5732d1 b37aff13469762597fe8e71b9eec6543077c6320 M	dev-install.log
:100644 100644 20c900e22a8115c31e67f895acbe3ec11c432314 a6d96513f1e560f38ad6b20e13ae9c5ddb619132 M	make.log
:040000 040000 956ae0b2d085e2de7f912e234fe22cb51b2e3f29 14c94892e549a813ae539489d88273f18ad79631 M	opt

 git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# bad: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect bad ba096f438393091574da98fe7b8e6b05182a8971
# good: [9daa289e178460daaafa4b3911031df5b8736218] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
git bisect good 9daa289e178460daaafa4b3911031df5b8736218
# good: [34eab3946c46bb7273ba4ca395db9c4421dd232f] source-hash-e962805b31074d6b6a2ed0db6452769448337553
git bisect good 34eab3946c46bb7273ba4ca395db9c4421dd232f
# good: [a8577b9049e085140768f97f7d4ff555a8a447cb] source-hash-98ded3e42011b060368899018c07cbd32e7993f1
git bisect good a8577b9049e085140768f97f7d4ff555a8a447cb
# good: [da4ad98ef394c644bb0aa80161ff599330862e7c] source-hash-570fe620e9d573cfc9fc260e6518563c6a6c1a3c
git bisect good da4ad98ef394c644bb0aa80161ff599330862e7c
# good: [2d9baecf3ce2ea1ec8bea3e842eed595061eeef6] source-hash-ff51a2b64571a8d72ff4d8a8181d17cf98c42e69
git bisect good 2d9baecf3ce2ea1ec8bea3e842eed595061eeef6
# first bad commit: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
Comment 3 Kohei Yoshida 2014-10-12 14:20:39 UTC
Fixed locally.
Comment 4 Kohei Yoshida 2014-10-12 14:22:58 UTC
This is the fix on master:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b29a16d1dcffd75e49bd7ad3da867b0d0ebfa38

Apparently the bugzilla notification script isn't working at the moment.
Comment 5 Kohei Yoshida 2014-10-12 14:27:01 UTC
4.3: https://gerrit.libreoffice.org/11934
Comment 6 Kohei Yoshida 2014-10-12 14:27:32 UTC
Marking it fixed on master.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:35:18 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]
Comment 9 Commit Notification 2018-06-10 19:14:29 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ac659ec61a88252344d08f0a79d2ac699da264d

uitest for bug tdf#83901

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 BogdanB 2018-11-19 10:49:28 UTC
Solved. Verified on:
Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded